Package org.apache.felix.configadmin.plugin.interpolation

## Class Interpolator

- java.lang.Object
- - org.apache.felix.configadmin.plugin.interpolation.Interpolator

    public class Interpolator
    extends Object

Replace place holders in a string

### Nested Class Summary

Nested Classes
`static interface` `Interpolator.Provider` The value for the replacement is returned by this provider

### Field Summary

Fields
`static char` `END`
`static char` `ESCAPE`
`static String` `START`

### Constructor Summary

Constructors
`Interpolator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,​String>` `parseDirectives​(String value)`
`static Object` `replace​(String value, Interpolator.Provider provider)` Replace all place holders

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END

    public static final char END

See Also:
  Constant Field Values

#### START

    public static final String START

See Also:
  Constant Field Values

#### ESCAPE

    public static final char ESCAPE

See Also:
  Constant Field Values

### Constructor Detail

#### Interpolator

    public Interpolator()

### Method Detail

#### replace

    public static Object replace​(String value,
                                 Interpolator.Provider provider)

Replace all place holders

Parameters:
  `value` - Value with place holders
  `provider` - Provider for providing the values
Returns:
  Replaced object (or original value)

#### parseDirectives

    public static Map<String,​String> parseDirectives​(String value)